org.eclipse.eef.ide.ui.api.widgets

## Class AbstractEEFLifecycleManager

- java.lang.Object
- - org.eclipse.eef.ide.ui.api.widgets.AbstractEEFLifecycleManager

All Implemented Interfaces:
  IEEFLifecycleManager

Direct Known Subclasses:
  AbstractEEFWidgetLifecycleManager, EEFGroupLifecycleManager, EEFSectionLifecycleManager

    public abstract class AbstractEEFLifecycleManager
    extends java.lang.Object
    implements IEEFLifecycleManager

Common superclass of all the lifecycle managers.

### Field Summary

Fields
`protected IEEFFormContainer` `container` The form container.

### Constructor Summary

Constructors
Constructor and Description
`AbstractEEFLifecycleManager()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `aboutToBeHidden()` Prepares for the widgets to be hidden.
`void` `aboutToBeShown()` Prepares for the widgets to be shown.
`void` `createControl(org.eclipse.swt.widgets.Composite parent, IEEFFormContainer formContainer)` Creates the controls for the description.
`protected abstract IEEFController` `getController()` Returns the controller.
`protected abstract org.eclipse.swt.widgets.Control` `getValidationControl()` Returns the control on which the validation marker will appear.
`void` `refresh()` Refresh the widgets.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.ide.ui.api.widgets.IEEFLifecycleManager

`dispose`

### Field Detail

#### container

    protected IEEFFormContainer container

The form container.

### Constructor Detail

#### AbstractEEFLifecycleManager

    public AbstractEEFLifecycleManager()

### Method Detail

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent,
                              IEEFFormContainer formContainer)

Creates the controls for the description.

Specified by:
  `createControl` in interface `IEEFLifecycleManager`
Parameters:
  `parent` - The composite parent
  `formContainer` - The form container
See Also:
  `IEEFLifecycleManager.createControl(org.eclipse.swt.widgets.Composite, org.eclipse.eef.common.ui.api.IEEFFormContainer)`

#### aboutToBeShown

    public void aboutToBeShown()

Prepares for the widgets to be shown.

Specified by:
  `aboutToBeShown` in interface `IEEFLifecycleManager`
See Also:
  `IEEFLifecycleManager.aboutToBeShown()`

#### getController

    protected abstract IEEFController getController()

Returns the controller.

Returns:
  The controller

#### getValidationControl

    protected abstract org.eclipse.swt.widgets.Control getValidationControl()

Returns the control on which the validation marker will appear.

Returns:
  The control used to display the validation marker

#### refresh

    public void refresh()

Refresh the widgets.

Specified by:
  `refresh` in interface `IEEFLifecycleManager`
See Also:
  `IEEFLifecycleManager.refresh()`

#### aboutToBeHidden

    public void aboutToBeHidden()

Prepares for the widgets to be hidden.

Specified by:
  `aboutToBeHidden` in interface `IEEFLifecycleManager`
See Also:
  `IEEFLifecycleManager.aboutToBeHidden()`